@_private(sourceFile: "TeleprompterView.swift") import OnCue
import func SwiftUI.__designTimeBoolean
import func SwiftUI.__designTimeInteger
import protocol SwiftUI.PreviewProvider
import func SwiftUI.__designTimeString
import func SwiftUI.__designTimeFloat
import struct SwiftUI.EmptyView
import protocol SwiftUI.View
import SwiftData
import SwiftUI

extension TeleprompterView {
    @_dynamicReplacement(for: body) private var __preview__body: some View {
        #sourceLocation(file: "/Users/pradyun/Code/Apps/OnCue/OnCue/View/TeleprompterView.swift", line: 17)
        ScrollView {
            Text(project.script)
                .font(.system(size: textSize))
                .padding(.horizontal)
        }
        .toolbar {
            ToolbarItem(placement: .topBarTrailing) {
                Menu {
                    Menu {
                        Slider(value: $textSize, in: __designTimeInteger("#36080.[2].[2].property.[0].[0].modifier[0].arg[0].value.[0].arg[1].value.[0].arg[0].value.[0].arg[0].value.[0].arg[1].value.[0]", fallback: 12)...__designTimeInteger("#36080.[2].[2].property.[0].[0].modifier[0].arg[0].value.[0].arg[1].value.[0].arg[0].value.[0].arg[0].value.[0].arg[1].value.[1]", fallback: 150), step: __designTimeInteger("#36080.[2].[2].property.[0].[0].modifier[0].arg[0].value.[0].arg[1].value.[0].arg[0].value.[0].arg[0].value.[0].arg[2].value", fallback: 1))
                    } label: {
                        Image(systemName: __designTimeString("#36080.[2].[2].property.[0].[0].modifier[0].arg[0].value.[0].arg[1].value.[0].arg[0].value.[0].arg[1].value.[0].arg[0].value", fallback: "textformat.size"))
                    }
                } label: {
                    Image(systemName: __designTimeString("#36080.[2].[2].property.[0].[0].modifier[0].arg[0].value.[0].arg[1].value.[0].arg[1].value.[0].arg[0].value", fallback: "ellipsis.circle"))
                }

            }
            ToolbarItem(placement: .topBarTrailing) {
                NavigationLink(destination: { CardsView(project: project) }) {
                    Image(systemName: __designTimeString("#36080.[2].[2].property.[0].[0].modifier[0].arg[0].value.[1].arg[1].value.[0].arg[1].value.[0].arg[0].value", fallback: "stop.fill"))
                }
            }
        }
        .persistentSystemOverlays(.hidden)
    
#sourceLocation()
    }
}

import struct OnCue.TeleprompterView
#Preview {
    let config = ModelConfiguration(isStoredInMemoryOnly: true)
    let container = try! ModelContainer(for: OCProject.self, configurations: config)
    
    container.mainContext.insert(PreviewData.project)
    
    return TeleprompterView(project: PreviewData.project)
        .modelContainer(container)
}



